#!/bin/sh

DELAY=60
SIZE=640x480
TEXT_COLOR=orange
POINT_SIZE=15
ROOT=root
PICS=pics/$(date +%Y-%m-%d-%H:%M:%S)

mkdir -p $PICS
rm -f tmp.jpg cam.jpg

n=0
while true; do
	fn=$PICS/$(printf %05d $n).jpg
	/home/user/ffmpeg/ffmpeg -f video4linux2 -ss $DELAY -s 160x120 -i /dev/video0 -y -vframes 1 $fn 2>/dev/null
	convert $fn -resize $SIZE -fill $TEXT_COLOR -pointsize $POINT_SIZE -annotate +2+14 "$(date)" tmp.jpg
	mv tmp.jpg $ROOT/cam.jpg
	n=$((n+1))
done
